Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.core.internal.provisional.jsfappconfig
Interface IJSFAppConfigLocater

All Known Implementing Classes:
  AbstractJSFAppConfigLocater

public interface IJSFAppConfigLocater

IJSFAppConfigLocater is the interface that Objects capable of locating and providing JSF application configuration resources must implement.

Method Summary
`JSFAppConfigManager` | `getJSFAppConfigManager()` Gets the `JSFAppConfigManager` instance to which this locater belongs.
`java.util.Set` | `getJSFAppConfigProviders()` Gets the set of `IJSFAppConfigProvider` instances that this locater has located.
`void` | `setJSFAppConfigManager(JSFAppConfigManager manager)` Sets the `JSFAppConfigManager` instance to which this locater belongs.
`void` | `startLocating()` Starts locating JSF application configuration resources.
`void` | `stopLocating()` Stops locating JSF application configuration resources.

Method Detail

### setJSFAppConfigManager

    public void setJSFAppConfigManager(JSFAppConfigManager manager)

  Sets the `JSFAppConfigManager` instance to which this locater belongs.

  Parameters:
    `manager` - `JSFAppConfigManager` instance to be set.

### getJSFAppConfigManager

    public JSFAppConfigManager getJSFAppConfigManager()

  Gets the `JSFAppConfigManager` instance to which this locater belongs.

  Returns:
    `JSFAppConfigManager` instance to which this locater belongs.

### startLocating

    public void startLocating()

  Starts locating JSF application configuration resources.

### stopLocating

    public void stopLocating()

  Stops locating JSF application configuration resources.

### getJSFAppConfigProviders

    public java.util.Set getJSFAppConfigProviders()

  Gets the set of `IJSFAppConfigProvider` instances that this locater has located.

  Returns:
    set of `IJSFAppConfigProvider` instances.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD